Bug 332628 - Toolbar buttons for next and previous tabs do not gray out
Summary: Toolbar buttons for next and previous tabs do not gray out
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 4.11.5
Platform: Mint (Ubuntu based) Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2014-03-26 14:16 UTC by Brock McNuggets
Modified: 2014-04-26 11:09 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.13.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brock McNuggets 2014-03-26 14:16:44 UTC
Activate Next Tab / Activate Previous Tab
Do not gray out when there are no tabs (as Close Tab) does

Reproducible: Always
Comment 1 Frank Reininghaus 2014-03-26 14:55:53 UTC
Thanks for the report. I think that this needs to be fixed in KTabBar, not Dolphin.
Comment 2 Christoph Feck 2014-03-26 22:13:30 UTC
Nope, those actions are created and managed by Dolphin. The tab bar has no idea that those actions are available.

For the "close_tab" action, the enabled state is managed inside dolphinmainwindow.cpp, see e.g. line 483 and 1157.
Comment 3 Frank Reininghaus 2014-03-27 10:48:44 UTC
(In reply to comment #2)
> Nope, those actions are created and managed by Dolphin. The tab bar has no
> idea that those actions are available.

Thanks Christoph, and sorry about the stupid mistake. I was first not aware of this and thought that the tab bar sets up the actions itself, but this is wrong, of course.

(In reply to comment #2)
> For the "close_tab" action, the enabled state is managed inside
> dolphinmainwindow.cpp, see e.g. line 483 and 1157.

With this information, it might be a good job for newcomers to extend this to the "activate_next_tab" and "activate_prev_tab" actions.
Comment 4 Renato Atilio 2014-04-25 20:59:22 UTC
I've added a review request for the solution proposed, plus a initial disabled state for both buttons: https://git.reviewboard.kde.org/r/117778/

Should I target a specific branch? Which?
Comment 5 Emmanuel Pescosta 2014-04-26 11:09:21 UTC
Git commit 670737cbfd23fb29538af69776595e1286773483 by Emmanuel Pescosta, on behalf of Renato Atilio.
Committed on 26/04/2014 at 10:28.
Pushed by emmanuelp into branch 'KDE/4.13'.

Enable the previous and next tab toolbar buttons
when multiple tabs are opened. Disable them again
when there is only one remaining tab.

Additionally set the default state to disabled.
FIXED-IN: 4.13.1
REVIEW: 117778

M  +6    -0    dolphin/src/dolphinmainwindow.cpp

http://commits.kde.org/kde-baseapps/670737cbfd23fb29538af69776595e1286773483